import { Flex, Paper, TextInput, Title } from "@mantine/core";
import { IconSearch } from "@tabler/icons-react";
import classes from "./ProductList.module.css";

export function ProductList() {
  return (
    <Paper shadow="md" p="lg" h="100%">
      <Flex direction="column" justify="flex-start" align="stretch" gap="md">
        <Flex direction="row" justify={"space-between"} align={"center"} gap="sm">
          <Title order={4} className={classes["title"]}>
            产品列表
          </Title>
          <TextInput
            placeholder="输入关键词检索产品"
            className={classes["title-search"]}
            leftSection={<IconSearch size={16} />}
          />
        </Flex>
      </Flex>
    </Paper>
  );
}
