import { useEffect, useState } from "react";

type ProductSearchKeyword = string | undefined | null;

interface Product {
  id: string;
  name: string;
}

export function useProducts(keyword: ProductSearchKeyword): Product[] {
  const [products, setProducts] = useState<Product[]>([]);

  useEffect(() => {
    async function fetchProducts() {
      const response = await fetch(`/api/products?keyword=${keyword}`);
      const data = await response.json();
      setProducts(data);
    }

    fetchProducts();
  }, [keyword]);

  return products;
}
